## opencascade 6.2

=== data/work/Makefile ===
#Dummy
#priority low
#prepare_Dummy /start/start_Dummy
##end_Dummy prepare_Dummy

prepare_Dummy: clean_Dummy cvs_Dummy;

cvs: cvs_Dummy;

cvs_Dummy:
	@cd ../ && cvs export -D "1 second ago" -d ./ occ/data
	@list=`ls ..`; \
	for f in $$list; do \
	    if test "$$f" != "work"; then \
		chmod -R 777 ../$$f; \
	    fi; \
	done;

clean: clean_Dummy;

clean_Dummy:
	@list=`ls ..`; \
	for f in $$list; do \
	    if test "$$f" != "work"; then \
		rm -rf ../$$f; \
	    fi; \
	done;

%: force
	@echo "force: $@"

force: ;
