## opencascade 6.3.0.dfsg.1

=== debian/changelog ===
opencascade (6.3.0.dfsg.1-6) unstable; urgency=low

  [ Denis Barbier ]
  * debian/control: In Build-Depends, replace default-jdk-builddep
    by default-jdk.  Closes: #589640
  * Add debian/patches/fix-tcl8.6.patch to fix FTBFS with tcl 8.6
  * Add debian/patches/fix-mesher-segfault.patch to fix a segfault
    with some buggy faces. (Thanks: Jerome Robert; closes: #589639)
  * Add debian/patches/OpenCASCADE6.3.0-strcmp.patch, replace ==
    operator by strcmp when comparing char* pointers.  Patch found
    in openSUSE rpm.

  [ Adam C. Powell, IV ]
  * Added source lintian overrides for my name.
  * Bumped Standards-Version to 3.9.0, no changes needed.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 21 Jul 2010 13:25:21 -0400

opencascade (6.3.0.dfsg.1-5) unstable; urgency=low

  [ Denis Barbier ]
  * Add debian/README.source
  * Add debian/patches/fix-tklcaf.patch, contributed by Michael Wild
    on Opencascade forum.
  * Let debian/patches/casroot.patch also patch Resource_Manager.cxx,
    this class is used to load various default values.
  * Add debian/patches/multibuf.patch, contributed by Dan Horák, to fix
    detection of multibuf.h
  * Add ${misc:Depends} to all Depends fields.
  * In dev packages, set Depends against corresponding shared library to
    (>= ${source:Upstream-Version}), (<< ${source:Upstream-Version}+1~)
  * Add debian/source/format, use 3.0 (quilt) because we're ready for it.
  * Add dh_lintian to debian/rules, and bump dependency on debhelper
    to >= 6.0.7~.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 26 May 2010 21:43:29 -0400

opencascade (6.3.0.dfsg.1-4) unstable; urgency=low

  [Denis Barbier]
  * New fix-osd_path.patch to try to prevent build failures
    on architectures not supported upstream.
  * Fix 2 lintian warnings:
    + Drop dh_desktop from debian/rules
    + Fix versioned build-dependency on debhelper
  * debian/rules: Fix 'unpatch' target to do its job when using
    the new dpkg source format 3.0 (quilt).  (closes: #538691)
  * New kfreebsd.patch to make OpenCascade build on GNU/kFreeBSD
    (closes: #542718).  Thanks to Aurélien Jarno for the report
    and the patch.
  * Remove *.la libtool files.  The only reverse build-dependencies
    are gmsh and elmerfem, and they do not ship *;la files, so it
    is safe to remove them from libopencascade-*-dev packages.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 23 Aug 2009 20:16:05 +0200

opencascade (6.3.0.dfsg.1-3) unstable; urgency=low

  [Denis Barbier]
  * Modify debian/opencascade-draw.install to filter out unused
    scripts from /usr/share/opencascade/6.3.0/src/DrawResources/
    (closes: #518799)
  * New fix-asm.patch to replace x86 assembly code by atomic
    extensions provided by GNU g++.  (closes: #518837)
  * Build against tcl8.5-dev and tk8.5-dev.
  * Drop unknown --with-xmu-{include,library} configure flags.
  * Do not compress files in opencascade-examples.  (closes: #496469)

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 08 Mar 2009 20:17:06 +0100

opencascade (6.3.0.dfsg.1-2) unstable; urgency=low

  [Denis Barbier]
  * New drop-config-h.patch patch.  Make sure that installed
    headers do not #include <config.h> (closes: #506117).  Thanks to Aleix on
    OpenCascade forum for the report.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 19 Nov 2008 18:03:34 -0500

opencascade (6.3.0.dfsg.1-1) unstable; urgency=low

  [Denis Barbier]
  * New Upstream Version.  (closes: #501128)
  * Upstream replaced Triangle by a free implementation,
    thus external-triangle.patch is removed as well as
    dependencies against libtriangle-dev.
  * Remove ros/src/FontMFT/*.mft files, these font files
    have no sources.  (As a side effect, closes: #487116)
  * All non-free bits have thus been removed, and opencascade
    is moved from non-free into main.
  * Jason Kraftcheck's patches have been applied upstream,
    occ6.2.patch and correct-libs.patch are dropped.
  * Split packages as suggested by Jason Kraftcheck in
    http://lists.debian.org/debian-science/2008/01/msg00023.html
    + opencascade-tools is split into opencascade-draw 
      and opencascade-wok
    + libopencascade6.3.0 is split into
      libopencascade-foundation-6.3.0, libopencascade-modeling-6.3.0,
      libopencascade-ocaf-lite-6.3.0, libopencascade-ocaf-6.3.0 and
      libopencascade-visualization-6.3.0.
    + Ditto for -dev packages.
  * New upstream build system now installs everything with
    'make install', but DESTDIR support was missing and
    requires a new destdir.patch patch.
  * Call configure from a new directory to ease cleaning up.
  * New wok-install.patch to move WOK files into
    /usr/share/tcltk/wok2.0/
  * Add --disable-dependency-tracking --disable-maintainer-mode
    to configure flags to speed up compilation and avoid
    running autotools
  * New tkernel-ld.patch patch to add -ldl to libTKernel
    which uses dlopen.  This flag was previously set by
    accident because ros/configure.in did set LIBS=$TCL_LIBS.
  * New occ6.3.0.patch patch to fix C++ configure tests and
    drop #ifdef from installed headers, they must not rely
    on config.h providing the expected symbols.
  * New dep-libs.patch to fix inter-library dependencies.
  * New make-wok-libs-private.patch to move private WOK
    libraries into /usr/lib/opencas, and remove library versions.
  * New make-draw-libs-private.patch to move private DRAW
    libraries into /usr/lib/opencas, and remove library versions.
    Add rpath information into DRAWEXE to find plug-ins.
  * New wokunix-fdescr.patch patch to fix build failure when
    compiling with -D_FORTIFY_SOURCE=2.  Patch written by
    Andrea Florio for openSUSE.
  * New wokstep_extract.patch patch to fix WOK, garbage was written
    into generated files.  (closes: #501352)
  * debian/rules: Replace obsolete dh_movefiles by dh_install.
  * Copy ros/adm/UDLIST from Windows binary tarball, the one

