## opencascade 6.5.0.dfsg

=== debian/changelog ===
opencascade (6.5.0.dfsg-2ubuntu1) raring; urgency=low

  * Accounted for multiarch Tcl & Tk locations in d/rules, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 19 Apr 2013 23:25:26 -0400

opencascade (6.5.0.dfsg-2build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:52:45 +0100

opencascade (6.5.0.dfsg-2) unstable; urgency=low

  [ Denis Barbier ]
  * Add debian/patches/submitted/ftbfs-g++4.6.patch
    Fix FTBFS with g++ 4.6.  Closes: #624943
  * Add debian/patches/submitted/fix-Abs-parenthesis.patch
    Fix misplaced parenthesis, patch by Fotios Sioutis
    on the OpenCascade forum.
  * debian/patches/hurd-fixes.patch: Rename ED variable into
    EData, as ED is a macro defined in errno.h on the Hurd.
  * Fix sparc v9 detection in fix-asm.patch to fix FTBFS
    on sparc64.
  * Fix debian/patches/compatibility-occ630-Value.patch: the
    old Value() method did return a distance whereas
    SquareDistance() now returns a square distance, so Value()
    must call sqrt().  Thanks to Roman Lygin and Mikhail Sazonov
    for the catch on the OpenCASCADE forum.

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 06 May 2011 09:52:41 -0400

opencascade (6.5.0.dfsg-1) unstable; urgency=low

  [ Adam C. Powell, IV ]
  [ Denis Barbier ]
  * New upstream version: Closes: #616736
    - Bump sonames to 6.5.0.
    - Java support and WOK have been dropped.  Closes: #603279
  * debian/control: Build-depends on libftgl-dev and libgl2ps-dev.
  * debian/control: Remove conflicts against old opencascade packages.
  * debian/patches: WOK has been removed, drop specific patches:
         wokunix-fdescr.patch           wokstep_extract.patch
         make-wok-libs-private.patch    wok-install.patch
         tcl-cleanup.patch
  * Drop debian/patches/fix-mesher-segfault.patch, upstream applied
    a different fix.
  * Drop debian/patches/udlist.patch, ros/adm/UDLIST has been shipped.
  * Merge debian/patches/occ6.3.0.patch into debian/patches/drop-config-h.patch
  * Reorder patches and move patches which have been reported
    upstream into debian/patches/submitted/ to help maintenance.
  * Add debian/patches/fix-ftgl-includes.patch: upstream supports an
    old version of ftgl, sources must be patched to work with a
    newer one.
  * Add debian/patches/submitted/move-osd_fontmgr-vis.patch: move
    OSD_FontMgr from TKernel into TKOpenGl so that libTKernel
    is not linked against X11.
  * Add debian/patches/submitted/enable-freeimage.patch: fix
    compilation against recent freeimageplus.  For now the configure
    script is called without --with-freeimage though, this pulls in
    too many dependencies.
  * Add debian/patches/submitted/add-enable-openmp.patch: add a
    new configure option --enable-openmp to parallelize loops with
    openmp instead of tbb.
  * Add debian/patches/compatibility-occ630-Value.patch: several
    classes break compatibility with 6.3.0 by renaming exported
    methods.  This patch creates aliases to help Debian packages
    being ported to opencascade 6.5.0, but it will be removed
    as soon as those applications are fixed, we do not want to
    diverge from upstream.
  * Add debian/patches/submitted/workaround-bug-mesher.patch: the
    new mesher in OCC 6.5.0 is more robust, but also produces much
    larger meshes on B-spline surfaces.  Until this bug is fixed, it
    seems better to not use the specific B-spline mesher, but the
    generic one.  Patch provided by Jérôme Robert.
  * Add debian/patches/debian/patches/configure-cflags.patch:
    compile C sources with -D_GNU_SOURCE as with C++.  This is mostly
    cosmetics, but allows installing libraries on a very old system
    (glibc 2.2.5 against 2.7 without this flag), because C source
    files in ros/src/IGESFile use sscanf, which adds a dependency
    against glibc >= 2.7 unless compiled with -D_GNU_SOURCE.
  * Add debian/patches/submitted/fix-display-text.patch: text doesn't
    get displayed in 6.5, patch provided by Venugopal Gudimetla on
    the opencascade forum.
  * Add debian/patches/hurd-fixes.patch: this patch will gather
    fixes needed to build on Hurd.  In this hunk, drop method
    OSD_Process::CurrentDirectory(), it is unused but cause FTBFS.
  * Slightly modify fix-asm.patch to use upstream assembly code on
    x86 and amd64, and atomic extensions provided by GNU g++ on
    other architectures.  Disable them on sparcv9, they currently
    cause a FTBFS.
  * Move some header files between libopencascade-ocaf-lite-dev and
    libopencascade-ocaf-dev to be more consistent with upstream
    modules.  Breaks/Replaces are added in debian/control to
    help upgrades.

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 21 Mar 2011 07:52:34 -0400
