=== debian/control ===
Source: opencascade
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 6.0.7~), quilt, autoconf, automake, libtool,
 libx11-dev, libxmu-dev, libxext-dev, tcl8.5-dev, tk8.5-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libftgl-dev, libgl2ps-dev, dpkg-dev (>= 1.16.0)
Build-Conflicts: libstlport4.6-dev, libstlport5.1-dev
Homepage: http://www.opencascade.org/
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/opencascade.git;a=summary
Vcs-Git: git://git.debian.org/git/debian-science/packages/opencascade.git

Package: libopencascade-foundation-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath TKAdvTools

Package: libopencascade-modeling-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package supplies data structures to represent 2D and 3D geometric models,
 as well as topological and geometrical algorithms.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR
   TKMesh TKShHealing TKXMesh TKBool TKFillet TKFeat TKOffset TKSTL
   TKXSBase TKSTEPBase TKIGES TKSTEPAttr TKSTEP209 TKSTEP

Package: libopencascade-visualization-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
   TKService TKV2d TKV3d TKOpenGl TKMeshVS TKNIS TKVRML TKVoxel

Package: libopencascade-ocaf-lite-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is part of the OpenCASCADE Application Framework, it
 provides shared libraries which have no dependency against X11.
 .
 This package contains the following shared libraries:
   TKCDF PTKernel TKLCAF FWOSPlugin TKPShape TKBinL TKXmlL
   TKPLCAF TKTObj TKShapeSchema TKStdLSchema

Package: libopencascade-ocaf-6.5.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package provides OpenCASCADE Application Framework services and 
 support for data exchange.
 .
 This package contains the following shared libraries:
   TKCAF TKBin TKXml TKPCAF TKBinTObj TKXmlTObj TKStdSchema
   TKXCAF TKXCAFSchema TKXmlXCAF TKBinXCAF TKXDEIGES TKXDESTEP

Package: opencascade-draw
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the DRAW test harness.

Package: libopencascade-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-ocaf-dev,
         libopencascade-visualization-dev,
         ${misc:Depends}
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This is a transitional package.

Package: libopencascade-foundation-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-6.5.0 (>= ${source:Upstream-Version}), libopencascade-foundation-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-foundation-6.5.0.

Package: libopencascade-modeling-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-6.5.0 (>= ${source:Upstream-Version}), libopencascade-modeling-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-modeling-6.5.0.

Package: libopencascade-ocaf-lite-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-6.5.0 (>= ${source:Upstream-Version}), libopencascade-ocaf-lite-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-dev (<< 6.5.0)
Breaks: libopencascade-ocaf-dev (<< 6.5.0)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-ocaf-lite-6.5.0.

Package: libopencascade-ocaf-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-ocaf-6.5.0 (>= ${source:Upstream-Version}), libopencascade-ocaf-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-lite-dev (<< 6.5.0)
Breaks: libopencascade-ocaf-lite-dev (<< 6.5.0)
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-ocaf-6.5.0.

Package: libopencascade-visualization-dev
Architecture: all
Section: libdevel
Depends: libopencascade-foundation-dev,
         libopencascade-modeling-dev,
         libopencascade-ocaf-lite-dev,
         libopencascade-visualization-6.5.0 (>= ${source:Upstream-Version}), libopencascade-visualization-6.5.0 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Suggests: opencascade-doc
Description: OpenCASCADE CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libopencascade-visualization-6.5.0.

Package: opencascade-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OpenCASCADE CAE platform library input examples
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains example input files for OpenCASCADE in various formats.
